#pragma once

#include "CoreMinimal.h"
#include "WwisePackagedFile.h"
#include "WwiseAssetLibraryCookedData.generated.h"

USTRUCT(BlueprintType)
struct FWwiseAssetLibraryCookedData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TArray<FWwisePackagedFile> PackagedFiles;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FName DebugName;

public:
	WWISERESOURCELOADER_API FWwiseAssetLibraryCookedData();
};

FORCEINLINE uint32 GetTypeHash(const FWwiseAssetLibraryCookedData) { return 0; }
